#ifndef UDPCLIENTSERV_H
#define UDPCLIENTSERV_H

#include <stdint.h>

/* Host name of my system, change accordingly */
/* Put the server hostname that run the UDP server program */
/* This will be used as default UDP server for client connection */
#define SERVER "localhost"

/* Server's port number */
#define SERVPORT 1555

/* Max size of messages exchanged (bytes)*/
#define MAX_TXT_MSG_SIZE    2048

/* Max size of the command part of the message (bytes)*/
#define MAX_CMD_SIZE        5

#define MSG_FMT_RD      "c: %5u |m: %10u |%5s:%c|"
#define MSG_FMT_WR      "c:%5u|m:%10u|%5s:%c|"
#define MSG_NUM_FLDS    4

/*Add the client commands*/
#undef  ADDITEM
#define ADDITEM( _enum_cli_cmd_, _str_cli_cmd, _unused_comment_ )      _enum_cli_cmd_
typedef enum
{
#include "cli_commands"
    CLI_CMD_MAX
} cli_cmd_enum_t;

#endif

typedef uint16_t    client_id_t;
typedef uint32_t    msg_id_t;
